// FILENAME:	DM_Murky_Moon_Night.cs
//
// AUTHORS:  	Raxon
//------------------------------------------------------------------------------

$missionName = "DM_Murky_Moon_Night";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

$server::HudMapViewOffsetX = -829;
$server::HudMapViewOffsetY = 6536;

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionStart()
{
	marsSounds();

        schedule("processPods();", 60);
}

function onMissionLoad(){
   cdAudioCycle("Purge", "Terror", "Watching");
   $healRate = 100;   
   $ammoRate = 10;
   $padWaitTime = 0;
   $zenWaitTime = 0; 
}

function player::onAdd(%player)
{
   if(($stealthDetect == true)&&(strAlign(1, left, getname(%player))=="/"))
   {
        say(0,0,"<f4>"@getname(%player)@" joined the game");
        messagebox(%player,"This server is equipped with an anti-stealth detection system. The slash on your name has been detected. All players have been alerted to your presence.");
   }
   say(%player, 0, "<jc><f5>Hello "@getname(%player)@",<f5> Welcome to DM_Murky_Moon_Night.");
}

function player::onRemove(%player)
{
   if(($stealthDetect == true)&&(strAlign(1, left, getname(%player))=="/"))
   {
      say(0,0,"<f4>"@getname(%player)@" left the game");
   }
}