// FILENAME:	TDM_Phoenix_Airport.cs
//
// AUTHORS:  	IB-Equuleus
//------------------------------------------------------------------------------

$missionName = "TDM_Phoenix_Airport";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionStart()
{
	marsSounds();

        $healRate = 200;   
	$ammoRate = 20;
   	$padWaitTime = 0;
  	$zenWaitTime = 0;

        schedule("processPods();", 60);
}

function player::onAdd(%player)
{
   say(%player, 0, "Welcome to TDM_Phoenix_Airport! Hi This is the -={Mercenaries}=- SERVER - Please visit the -={Mercenaries}=- Site at( http://starsiege1.proboards.com/ ) - Now get Maps, Skins, Patches, Updates OK - YOUR ALWAY WELCOME THERE.");
}

function onMissionLoad(){
   cdAudioCycle("Purge", "Terror", "Watching"); 
}


// Healing Pad Functionality
//------------------------------------------------------------------------------
function ZenHeal::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_HEALPAD, true, true);  
}
function ZenHeal::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, $healRate, 0, $padWaitTime, true); 
}

// Ammo Pad Functionality
//------------------------------------------------------------------------------
function ZenAmmo::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_AMMOPAD, true, true);  
}

function ZenAmmo::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, 0, $ammoRate, $padWaitTime, true); 
}

// ZenAll Pad Functionality
//------------------------------------------------------------------------------
function ZenAll::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_ALLPAD, true, true);  
}
function ZenAll::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, $healRate, $ammoRate, $padWaitTime, true); 
}
