// AUTHOR: Gen. Stormtrooper [M.I.B.] Originally a CTF Map.
//------------------------------------------------------------------------------
// Modified By:  -={Green Demon}=-  Date: 5/13/11, for eye.  
// Added: Map Time Left.
// Fixed: Purple Base To Red. Nav Colors.
//------------------------------------------------------------------------------
$missionName = "TDM_Ramp_Complex+";


exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");


function setDefaultMissionOptions()
{
 $server::TeamPlay = true;
 $server::AllowDeathmatch = true;
 $server::AllowTeamPlay = true;	

 $server::AllowTeamRed = true;
 $server::AllowTeamBlue = true;
 $server::AllowTeamYellow = false;
 $server::AllowTeamPurple = false;

 $server::disableTeamRed = false;
 $server::disableTeamBlue = false;
 $server::disableTeamYellow = true;
 $server::disableTeamPurple = true;
}


function onMissionStart()
{
 $ST="";
}


function player::onAdd(%player)
{
 say(%player,0,"<JC>Welcome to "@$missionName@"\nThis is a MERCENARIES SERVER - Visit the Mercenaries Site at (http://starsiege1.proboards.com) - Get Maps, Skins, Patches, and Updates there.");
 if(strAlign(1,left,getname(%player))=="/")
   {
    say(0,0,"<f5>"@getname(%player)@" joined the game","alarm2.wav");
    messagebox(%player,"This server is equipped with an anti-stealth detection system. The slash on your name has been detected. All players have been alerted to your presence.");
   }
}


function player::onRemove(%player)
{
 if(strAlign(1,left,getname(%player))=="/")
   {
    say(0,0,"<f4>"@getname(%player)@" left the game","alarm2.wav");
   }
}


function vehicle::onadd(%vehicleId)
{
 if($ST=="") $ST=getcurrenttime();
 %player=playerManager::vehicleIdToPlayerNum(%vehicleId);         
 %i=$server::TimeLimit*60+$ST-getcurrentTime();
 setHudTimer(%i,-1,"Map Time Left",1,%player);
}


//---------------------------{Zen Pads}-------------------------------

function ZenAll::trigger::onContact(%this,%vehicleId)
{
 Zen::work(%this,%vehicleId,400,25,0,true);// 400% health 25% reload 
}


function onmissionend()
{
 flushConsoleScheduler();
 deleteVariables($ST);

 deleteFunctions("onMissionStart");
 deleteFunctions("onMissionLoad");
 deleteFunctions("player::onAdd");
 deleteFunctions("player::onRemove");
 deleteFunctions("vehicle::onadd"); 
 deleteFunctions("ZenAll::trigger::onContact");

 missionEndConditionMet();
} 