// FILENAME:	DM_Diry_Dirty.cs
//
// AUTHORS:  	Raxon
//------------------------------------------------------------------------------

$missionName = "DM_Diry_Dirty";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

$server::HudMapViewOffsetX = -28;
$server::HudMapViewOffsetY = 7700;

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionStart()
{
	marsSounds();

        schedule("processPods();", 60);
}

function onMissionLoad(){
   	cdAudioCycle("Purge", "Terror", "Watching");
   	$healRate = 150;   
   	$ammoRate = 70;
   	$padWaitTime =  0;
   	$zenWaitTime =  0; 
	$HercsAtDoor1 = 0;
	$HercsAtDoor2 = 0;
	$HercsAtDoor3 = 0;
	$HercsAtDoor4 = 0;

}

function player::onAdd(%player)
{
   if(($stealthDetect == true)&&(strAlign(1, left, getname(%player))=="/"))
   {
        say(0,0,"<f4>"@getname(%player)@" joined the game");
        messagebox(%player,"This server is equipped with an anti-stealth detection system. The slash on your name has been detected. All players have been alerted to your presence.");
   }
   say(%player, 0, "<jc><f5>Hello "@getname(%player)@",<f5> Welcome to DM_Dirty_Dirty");
}

function player::onRemove(%player)
{
   if(($stealthDetect == true)&&(strAlign(1, left, getname(%player))=="/"))
   {
      say(0,0,"<f4>"@getname(%player)@" left the game");
   }
}

function door1::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor1 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\Door1"), 0, true);
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\DoorA"), 0, true);
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\DoorB"), 0, true);
	}
	$hercsAtDoor1 = $hercsAtDoor1 + 1;
}
function door1::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor1 = $hercsAtDoor1 - 1;
	if($hercsAtDoor1 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\Door1"), 0, false);
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\DoorA"), 0, false);
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\DoorB"), 0, false);
	}
}
function door2::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor2 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\Door2"), 0, true);
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\DoorC"), 0, true);
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\DoorD"), 0, true);
	}
	$hercsAtDoor2 = $hercsAtDoor2 + 1;
}
function door2::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor2 = $hercsAtDoor2 - 1;
	if($hercsAtDoor2 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\Door2"), 0, false);
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\DoorC"), 0, false);
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\DoorD"), 0, false);
	}
}
function door3::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor3 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\Door3"), 0, true);
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\DoorE"), 0, true);
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\DoorF"), 0, true);
	}
	$hercsAtDoor3 = $hercsAtDoor3 + 1;
}
function door3::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor3 = $hercsAtDoor3 - 1;
	if($hercsAtDoor3 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\Door3"), 0, false);
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\DoorE"), 0, false);
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\DoorF"), 0, false);
	}
}
function door4::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor4 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\Door4"), 0, true);
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\DoorG"), 0, true);
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\DoorH"), 0, true);
	}
	$hercsAtDoor4 = $hercsAtDoor4 + 1;
}
function door4::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor4 = $hercsAtDoor4 - 1;
	if($hercsAtDoor4 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\Door4"), 0, false);
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\DoorG"), 0, false);
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\DoorH"), 0, false);
	}
}
